# Yaf_Request_Abstract::getServer

(Yaf >=1.0.0)

Yaf_Request_Abstract::getServer — Retrieve SERVER variable

### Description

public Yaf_Request_Abstract::getServer ( string `$name` [, string `$default` ] ) : void

Retrieve SERVER variable

### Parameters

`name`

  the variable name

`default`

  if this parameter is provide, this will be returned if the variable can not be found

### Return Values

### See Also

- Yaf_Request_Abstract::getParam() - Retrieve calling parameter
- Yaf_Request_Abstract::getEnv() - Retrieve ENV varialbe